%global libwebp_sover 5

#disable debuginfo, this package does not contain arched output, but needs to
#be arched to work properly with multilibbed libwebp
%global debug_package %{nil}

Name:           python-webm
Version:        0.2.2
Release:        6%{?dist}
Summary:        Python wrapper to WebM libraries

License:        BSD
URL:            https://code.google.com/p/python-webm/
Source0:        https://python-webm.googlecode.com/files/%{name}-%{version}.tar.gz

# patches taken from Xpra fork of python-webm
# http://xpra.org/trac/browser/xpra/trunk/src/xpra/codecs/webm

# fix loading of the dynamic library
Patch1:         %{name}-load-library.patch

# support lossy encoding
Patch2:         %{name}-lossy.patch

BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  libwebp
BuildRequires:  python-imaging

%if 0%{__isa_bits} == 64
Requires:       libwebp.so.%{libwebp_sover}()(64bit)
%else
Requires:       libwebp.so.%{libwebp_sover}
%endif

Requires:       python-imaging

%description
The python-webm package is an interface to the WebM video/image codec. The 
interface uses ctypes to call the libvpx/libwebm Google libraries installed in 
the system. At the moment only the libwebm library is wrapped and with some
limitations.

%prep
%setup -qn %{name}
%patch1 -p1
%patch2 -p1

%build
#nothing to do

%install
mkdir -p %{buildroot}%{python_sitearch}/webm
cp -p webm/*.py %{buildroot}%{python_sitearch}/webm

%check
nosetests -sxv
 
%files
%{python_sitearch}/webm
%doc README

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 03 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-5
- rebuild and fix up for libwebp soname bump
- fix SRPM build on ARM

* Tue Oct 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-4
- support lossy encoding

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 06 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-2
- fix up dependency on libwebp (package became arched as a result)
- fix License tag
- explicitly list python version in BuildRequires
- be more verbose when running tests

* Thu Apr 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-1
- initial package

